/*
 * $Id: Simulator_getParam.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Simulator.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Simulator::getParam"
  std::string Simulator::getParam (std::string name)
  {
    log_begin(Configuration,FUNCTION);

    if (_array->find(name) == _array->end())
      throw ERRORMORPHEO(FUNCTION,toString(_("Simulator file \"%s\" does't have the parameters \"%s\".\n"),_filename.c_str(),name.c_str()));

    std::string res = ((*_array)[name])->_value;

    log_end(Configuration,FUNCTION);

    return res;
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
